package com.bonus.system.mapper;

import java.util.List;

import com.bonus.system.api.domain.SysLogsVo;
import com.bonus.system.api.domain.SysOperLog;
import com.bonus.system.domain.SysLogsMenuHead;
import com.bonus.system.domain.SysMenu;

/**
 * 操作日志 数据层
 * 
 * @author bonus
 */
public interface SysOperLogMapper
{
    /**
     * 新增操作日志
     * 
     * @param operLog 操作日志对象
     */
    public int insertOperlog(SysOperLog operLog);

    /**
     * 查询系统操作日志集合
     * 
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysOperLog> selectOperLogList(SysOperLog operLog);

    /**
     * 批量删除系统操作日志
     * 
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     * 
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public SysOperLog selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();

    /**
     * 新增日志数据
     * @param sysLogsVo
     * @return
     */
    int addLogs(SysLogsVo sysLogsVo);

    /**
     * 查询 异常日志路径
     * @param sysLogsVo
     * @return
     */
    List<SysLogsMenuHead> getLogsErrorModule(SysLogsVo sysLogsVo);
}
